Bug 1286053 - On "refresh facts" of a pxe-less discovered host after adding a new interface, a new entry of host generated with mac000000000000
On "refresh facts" of a pxe-less discovered host after adding a new interface...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin (Show other bugs)
6.1.5
Unspecified Unspecified
unspecified Severity high (vote)
: 6.1.5
: --
Assigned To: Lukas Zapletal
Sachin Ghai
:
Depends On:
Blocks: 1279370
  Show dependency treegraph
 
Reported: 2015-11-27 05:20 EST by Sachin Ghai
Modified: 2017-02-23 14:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 08:13:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new entry of host generated under 'discovered_host' page with mac0000000, on refreshing facts (55.04 KB, image/png)
2015-11-27 05:20 EST, Sachin Ghai
no flags Details
discovery_debug (64.37 KB, text/plain)
2015-11-27 05:21 EST, Sachin Ghai
no flags Details
on refreshing facts a success notification generates and no new entry of host appeared with mac00000 (91.39 KB, image/png)
2015-12-07 04:26 EST, Sachin Ghai
no flags Details
newly added interfaces appears under host facts on clicking refresh_facts (19.04 KB, image/png)
2015-12-07 04:28 EST, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2015-11-27 05:20:50 EST
Created attachment 1099630 [details]
new entry of host generated under 'discovered_host' page with mac0000000, on refreshing facts

Description of problem:
I was trying refresh_facts after adding a new interface on pxe-less discovered host. As soon as I added the interface on host and clicked refres_facts from webUI, another host entry generated on webUI with same IP and mac00000000.

production.log says:
-------------------------
2015-11-27 04:57:25 [I] Processing by DiscoveredHostsController#refresh_facts as HTML
2015-11-27 04:57:25 [I]   Parameters: {"id"=>"mac525400db3da2"}
2015-11-27 04:57:27 [I] Import facts for 'mac000000000000' completed. Added: 64, Updated: 0, Deleted 0 facts
2015-11-27 04:57:27 [W] Saving ens3 NIC for host mac000000000000 failed, skipping because:
2015-11-27 04:57:27 [W]  IP address can't use the same value as the primary interface
2015-11-27 04:57:27 [I] Redirected to https://cloud-qe-15.idmqe.lab.eng.bos.redhat.com/discovered_hosts
2015-11-27 04:57:27 [I] Completed 302 Found in 1180ms (ActiveRecord: 535.6ms)


 


Version-Release number of selected component (if applicable):
Sat 6.1.5 compose2(Satellite-6.1.0-RHEL-7-20151125.0)
foreman-discovery-image-3.0.5-2.iso

How reproducible:
always

Steps to Reproduce:
1. discover a pxe-less host
2. add an interface on host
3. from webUI, select the discovered_host and click "refresh_facts"

Actual results:
on refresh facts, a new entry of host generated under 'discovered_host' page with mac0000000

Expected results:

on refresh facts, host should be updated with new interface


Additional info:
Comment 1 Sachin Ghai 2015-11-27 05:21 EST
Created attachment 1099631 [details]
discovery_debug
Comment 3 Lukas Zapletal 2015-11-27 05:41:25 EST
ACK, lower serverity tho. Adding hardare is rather rare.
Comment 4 Sachin Ghai 2015-11-30 06:43:29 EST
Just checked again.. looks like this issue is appearing on normally refreshing the facts of discovered host (without adding new hardware).
Comment 5 Lukas Zapletal 2015-11-30 11:04:41 EST
Ok blocker than, will investigate.
Comment 6 Lukas Zapletal 2015-11-30 11:58:59 EST
Not able to hit this compose, still investigating.
Comment 8 Sachin Ghai 2015-12-07 04:23:29 EST
Verified with Sat 6.1.5 compose3(Satellite-6.1.0-RHEL-7-20151204.0)

rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el6_6sat.noarch
rubygem-smart_proxy_discovery-1.0.3-2.el6.noarch
ruby193-rubygem-foreman_discovery-2.0.0.22-1.el6_6sat.noarch
foreman-discovery-image-3.0.5-3.el7sat.noarch


Refresh_facts works absolutely fine with above compose. I didn't see new entry of host with mac00000 and on adding a new interface on host, refresh_facts, clearly update the facts with new interface. Please see the attached screenshot.
Comment 9 Sachin Ghai 2015-12-07 04:26 EST
Created attachment 1103085 [details]
on refreshing facts a success notification generates and no new entry of host appeared with mac00000
Comment 10 Sachin Ghai 2015-12-07 04:28 EST
Created attachment 1103086 [details]
newly added interfaces appears under host facts on clicking refresh_facts
Comment 11 Bryan Kearney 2015-12-15 08:13:52 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2622

Note You need to log in before you can comment on or make changes to this bug.